Bug 1601590 - Incorrect chargeback metric values displayed for recently created vsphere vm
Summary: Incorrect chargeback metric values displayed for recently created vsphere vm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Libor Pichler
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-16 19:20 UTC by Tasos Papaioannou
Modified: 2019-06-17 17:05 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:37 UTC

Description Tasos Papaioannou 2018-07-16 19:20:51 UTC
Description of problem:

A recently-created VM with imported historical capture data will show incorrect values for, e.g., CPU Used and Memory Used values in chargeback reports. The columns for the actual costs are correct, however. This is fixed by the following commit, which is in 5.10.0 but not 5.9.3 or 5.9.4:

https://github.com/ManageIQ/manageiq/pull/17620
https://github.com/ManageIQ/manageiq/commit/d35b0519071607d1d4258c4428fae766c40c31e1

Version-Release number of selected component (if applicable):

5.9.3.4 and 5.9.4.0

How reproducible:

100%

Steps to Reproduce:
1.) With initial_capture_days set to 30, add a vsphere provider that has historical vm metric data.
2.) Assign default chargeback rates to the enterprise, and create a chargeback report that displays cpu and memory usage and costs.
3.) Run chargeback report and view results.

Actual results:

Values for cpu used and memory used are much higher than expected, and don't match the displayed costs.

Expected results:

Correct usage displays in chargeback report.

Additional info:

Comment 5 Tasos Papaioannou 2018-09-07 15:56:50 UTC
Verified on 5.10.0.14.

Comment 6 errata-xmlrpc 2019-02-07 23:03:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.